Skip to main content
GET
/
2025-09
/
coupons
List all Coupons
curl --request GET \
  --url https://public-api.stora.co/2025-09/coupons \
  --header 'Authorization: Bearer <token>'
{
  "coupons": [
    {
      "id": "cpn_a26d0d4c582740c1",
      "auto_apply_to": {
        "products": false,
        "protections": false,
        "subscriptions": true,
        "unit_types": false
      },
      "billing_period": "monthly",
      "code": null,
      "created_at": "2025-02-22T14:41:00Z",
      "duration": "repeating",
      "max_redemptions": null,
      "months": 2,
      "name": "50% off first two months",
      "percent": 50,
      "public": true,
      "title": null,
      "type": "percentage",
      "updated_at": "2025-02-22T14:41:00Z"
    },
    {
      "id": "cpn_bdc9397d53d9bfc3",
      "amount": {
        "amount": 500,
        "currency": "GBP",
        "formatted": "£5.00"
      },
      "auto_apply_to": {
        "products": false,
        "protections": false,
        "subscriptions": true,
        "unit_types": false
      },
      "billing_period": null,
      "code": "5OFF",
      "created_at": "2025-02-22T14:41:00Z",
      "duration": "forever",
      "max_redemptions": null,
      "months": null,
      "name": "£5.00 off",
      "public": false,
      "title": null,
      "type": "amount",
      "updated_at": "2025-02-22T14:41:00Z"
    }
  ],
  "meta": {
    "request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
    "curies": [
      {
        "name": "bo",
        "href": "https://app.stora.test{rel}",
        "templated": true,
        "title": "Backoffice"
      },
      {
        "name": "sf",
        "href": "https://acme.stora.test{rel}",
        "templated": true,
        "title": "Storefront"
      }
    ],
    "pagination": {
      "count": 2,
      "last": 1,
      "limit": 50,
      "next": null,
      "page": 1,
      "pages": 1,
      "prev": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Query Parameters

page
integer

Pagination: Page number

Required range: x >= 1
limit
integer

Pagination: Limit number of items per page.

Required range: 1 <= x <= 100
sort_by
enum<string>

Sorting by attribute. Default created_at

Available options:
created_at
sort_direction
enum<string>

Sorting by ASC or DESC direction. Default DESC

Available options:
ASC,
DESC

Response

200 - application/json

list of coupons

List of Coupons

coupons
object[]

Coupon with percentage discount

meta
object